Subject: CSA Farms..

From: Vicki Garland <[email-masked]>
Date: Tue, 2 Jul 1996 11:07:58 -0600 (MDT)

We are interested in CSA Farms in Colorado, southern Oregon, northern Cal.
Will be journeying from here end of the week and hope to make contact before
departure so that we could connect while in the area.  Hope to hear from you.

Vicki and Jesse Garland